package main

import (
	"chathub/chface/core"
	"fmt"
	"time"

	"github.com/etlibgo/et"
)

func main() {
	fmt.Println("chathub began")

	fmt.Println(et.StrPadLeft("et pad left", "0", 20))

	core.AppPrepare()
	core.AppStart()

	for core.AppIsRunning() {
		time.Sleep(time.Duration(100) * time.Millisecond)
	}

	fmt.Println("chathub ended")
}
